=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20251028.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 02:44:15 +0000
