## kbibtex 0.10.0+p24.04+vstable+git20251220.0333

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20251220.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:34:02 +0000
