=== debian/changelog ===
kbibtex (0.10.0+p24.04+vunstable+git20251111.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 00:19:24 +0000
