=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	# drop the spurious RUNPATH
 	chrpath -d debian/kbibtex/usr/bin/*
 	chrpath -d debian/kbibtex/usr/lib/*/libkbibtex*.so.*
-	chrpath -d debian/kbibtex/usr/lib/*/qt5/plugins/kbibtexpart.so
+	chrpath -d debian/kbibtex/usr/lib/*/qt5/plugins/kf5/parts/kbibtexpart.so
 
 override_dh_auto_test:
 	# the unit tests fail ATM
