=== debian/changelog ===
kbibtex (0.10.0+p24.04+vunstable+git20260122.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:08:18 +0000
