## kbibtex 0.10.0+p24.04+vunstable+git20260202.0940

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vunstable+git20260202.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:40:25 +0000
